Bug 66762 - Update port: games/xpilot-ng (split into games/xpilot-ng-server and games/xpilot-ng-client)
Summary: Update port: games/xpilot-ng (split into games/xpilot-ng-server and games/xpi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-17 17:50 UTC by Jean-Yves Lefort
Modified: 2005-05-15 02:22 UTC (History)
0 users

See Also:


Attachments
file.shar (13.60 KB, text/plain)
2004-05-17 17:50 UTC, Jean-Yves Lefort
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Lefort 2004-05-17 17:50:09 UTC
The XPilot server and client are not mutually dependent, and the
server does not require the X Window System. With this split, the
server software can be installed on systems not running X.

The committer should remove games/xpilot-ng and add the two following
ports.
Comment 1 Jean-Yves Lefort 2004-05-25 22:20:04 UTC
Update to 4.6.5:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xpilot-ng-server
#	xpilot-ng-server/Makefile
#	xpilot-ng-server/distinfo
#	xpilot-ng-server/pkg-descr
#	xpilot-ng-server/pkg-plist
#	xpilot-ng-server/files
#	xpilot-ng-server/files/patch-configure
#	xpilot-ng-server/files/patch-src::Makefile.in
#	xpilot-ng-server/files/patch-lib::Makefile.in
#	xpilot-ng-server/files/patch-doc::man::Makefile.in
#	xpilot-ng-client
#	xpilot-ng-client/Makefile
#	xpilot-ng-client/distinfo
#	xpilot-ng-client/pkg-descr
#	xpilot-ng-client/pkg-plist
#	xpilot-ng-client/files
#	xpilot-ng-client/files/patch-doc::man::Makefile.in
#	xpilot-ng-client/files/patch-lib::Makefile.in
#	xpilot-ng-client/files/patch-src::Makefile.in
#	xpilot-ng-client/files/patch-Makefile.in
#
echo c - xpilot-ng-server
mkdir -p xpilot-ng-server > /dev/null 2>&1
echo x - xpilot-ng-server/Makefile
sed 's/^X//' >xpilot-ng-server/Makefile << 'END-of-xpilot-ng-server/Makefile'
X# New ports collection makefile for:	xpilot-ng-server
X# Date created:			17 May 2004
X# Whom:				Jean-Yves Lefort <jylefort@brutele.be>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		xpilot-ng-server
XPORTVERSION=		4.6.5
XCATEGORIES=		games
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	xpilot
XDISTNAME=		xpilot-ng-${PORTVERSION}
X
XMAINTAINER=		jylefort@brutele.be
XCOMMENT=		An enhanced version of XPilot (server part)
X
XLIB_DEPENDS=		expat:${PORTSDIR}/textproc/expat2
X
XGNU_CONFIGURE=		yes
XMAN6=			xpilot-ng-server.6
X
XCONFIGURE_ENV=		CPPFLAGS="-I${LOCALBASE}/include" \
X			LDFLAGS="-L${LOCALBASE}/lib"
XCONFIGURE_ARGS=		--program-prefix="" --without-x
X
X.include <bsd.port.mk>
END-of-xpilot-ng-server/Makefile
echo x - xpilot-ng-server/distinfo
sed 's/^X//' >xpilot-ng-server/distinfo << 'END-of-xpilot-ng-server/distinfo'
XMD5 (xpilot-ng-4.6.5.tar.gz) = 0d1a0a3b4d757c6bc67c1fe3545a5b41
XSIZE (xpilot-ng-4.6.5.tar.gz) = 2108437
END-of-xpilot-ng-server/distinfo
echo x - xpilot-ng-server/pkg-descr
sed 's/^X//' >xpilot-ng-server/pkg-descr << 'END-of-xpilot-ng-server/pkg-descr'
XXPilot is a multi-player tactical manouvring game for X and Unix workstations.
XPlayers have a fighter which they move along in an artificial world
Xand shoot each other using various kinds of weapons like bullets, mines,
Xsmart missiles, heat seekers and so on.  It is a fast paced game with
Xa lot of tactics.  There are also robots flying around shooting players
Xand other robots.  Players can pickup special bonuses to improve the
Xpossibilities of their ship like more engine power or special weapons.
XThe aim of the game is to score points and to have a lot of fun.
X
XSee http://xpilot.sourceforge.net/about.html for differences between
Xstandard XPilot and this version.
X
XThis port contains the server part.
X
XWWW: http://xpilot.sourceforge.net/
X
X- Jean-Yves Lefort
Xjylefort@brutele.be
END-of-xpilot-ng-server/pkg-descr
echo x - xpilot-ng-server/pkg-plist
sed 's/^X//' >xpilot-ng-server/pkg-plist << 'END-of-xpilot-ng-server/pkg-plist'
Xbin/xpilot-ng-server
Xshare/xpilot-ng/defaults.txt
Xshare/xpilot-ng/mapconvert.py
Xshare/xpilot-ng/maps/polybloods.xp2
Xshare/xpilot-ng/maps/sadistic_bastard_v2.xp2
Xshare/xpilot-ng/maps/teamcup.xp
Xshare/xpilot-ng/password.txt
Xshare/xpilot-ng/robots.txt
X@dirrm share/xpilot-ng/maps
X@dirrm share/xpilot-ng
END-of-xpilot-ng-server/pkg-plist
echo c - xpilot-ng-server/files
mkdir -p xpilot-ng-server/files > /dev/null 2>&1
echo x - xpilot-ng-server/files/patch-configure
sed 's/^X//' >xpilot-ng-server/files/patch-configure << 'END-of-xpilot-ng-server/files/patch-configure'
X--- configure.orig	Mon May 17 16:14:45 2004
X+++ configure	Mon May 17 16:19:50 2004
X@@ -5337,11 +5337,6 @@
X 
X fi
X 
X-if test x$no_x == xyes; then
X-	{ { echo "$as_me:$LINENO: error: *** Couldn't find X headers or libraries!" >&5
X-echo "$as_me: error: *** Couldn't find X headers or libraries!" >&2;}
X-   { (exit 1); exit 1; }; }
X-fi
X 
X if test x$enable_dbe = xyes || test x$enable_mbx = xyes; then
X 	X_EXTENSIONS_LIB="-lXext"
END-of-xpilot-ng-server/files/patch-configure
echo x - xpilot-ng-server/files/patch-src::Makefile.in
sed 's/^X//' >xpilot-ng-server/files/patch-src::Makefile.in << 'END-of-xpilot-ng-server/files/patch-src::Makefile.in'
X--- src/Makefile.in.orig	Mon May 17 16:20:00 2004
X+++ src/Makefile.in	Mon May 17 16:20:13 2004
X@@ -161,7 +161,7 @@
X target_cpu = @target_cpu@
X target_os = @target_os@
X target_vendor = @target_vendor@
X-SUBDIRS = common client server replay
X+SUBDIRS = common server
X all: all-recursive
X 
X .SUFFIXES:
END-of-xpilot-ng-server/files/patch-src::Makefile.in
echo x - xpilot-ng-server/files/patch-lib::Makefile.in
sed 's/^X//' >xpilot-ng-server/files/patch-lib::Makefile.in << 'END-of-xpilot-ng-server/files/patch-lib::Makefile.in'
X--- lib/Makefile.in.orig	Tue May 25 23:00:05 2004
X+++ lib/Makefile.in	Tue May 25 23:00:35 2004
X@@ -170,7 +170,7 @@
X target_vendor = @target_vendor@
X @COND_SOUND_FALSE@MAYBE_SOUND = 
X @COND_SOUND_TRUE@MAYBE_SOUND = sound
X-SUBDIRS = fonts maps textures $(MAYBE_SOUND)
X+SUBDIRS = maps
X pkgdata_DATA = defaults.txt password.txt robots.txt
X EXTRA_DIST = $(pkgdata_DATA)
X all: all-recursive
END-of-xpilot-ng-server/files/patch-lib::Makefile.in
echo x - xpilot-ng-server/files/patch-doc::man::Makefile.in
sed 's/^X//' >xpilot-ng-server/files/patch-doc::man::Makefile.in << 'END-of-xpilot-ng-server/files/patch-doc::man::Makefile.in'
X--- doc/man/Makefile.in.orig	Mon May 17 16:32:11 2004
X+++ doc/man/Makefile.in	Mon May 17 16:32:44 2004
X@@ -158,10 +158,7 @@
X target_os = @target_os@
X target_vendor = @target_vendor@
X dist_man6_MANS = \
X-	xpilot-ng-sdl.man \
X-	xpilot-ng-x11.man \
X-	xpilot-ng-server.man \
X-	xpilot-ng-replay.man
X+	xpilot-ng-server.man
X 
X all: all-am
X 
END-of-xpilot-ng-server/files/patch-doc::man::Makefile.in
echo c - xpilot-ng-client
mkdir -p xpilot-ng-client > /dev/null 2>&1
echo x - xpilot-ng-client/Makefile
sed 's/^X//' >xpilot-ng-client/Makefile << 'END-of-xpilot-ng-client/Makefile'
X# New ports collection makefile for:	xpilot-ng-client
X# Date created:			17 May 2004
X# Whom:				Jean-Yves Lefort <jylefort@brutele.be>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		xpilot-ng-client
XPORTVERSION=		4.6.5
XCATEGORIES=		games
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	xpilot
XDISTNAME=		xpilot-ng-${PORTVERSION}
X
XMAINTAINER=		jylefort@brutele.be
XCOMMENT=		An enhanced version of XPilot (client part)
X
XLIB_DEPENDS=		expat:${PORTSDIR}/textproc/expat2
X
XUSE_X_PREFIX=		yes
XGNU_CONFIGURE=		yes
XUSE_REINPLACE=		yes
X
XMAN6=			xpilot-ng-replay.6 \
X			xpilot-ng-sdl.6 \
X			xpilot-ng-x11.6
X
XCPPFLAGS=		-I${LOCALBASE}/include -I${X11BASE}/include
XLDFLAGS=		-L${LOCALBASE}/lib -L${X11BASE}/lib
X
XCONFIGURE_ENV=		CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
XCONFIGURE_ARGS=		--program-prefix=""
X
XOPTIONS=		SDL "SDL/OpenGL client" on \
X			SOUND "Sound" off
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_SDL)
XUSE_SDL=		image sdl ttf
XCONFIGURE_ARGS+=	--enable-sdl-client
XPLIST_SUB+=		WITH_SDL=""
XUSE_GCC=		3.2
X.else
XPLIST_SUB+=		WITH_SDL="@comment "
X.endif
X
X.if defined(WITH_SOUND)
XLIB_DEPENDS+=		openal:${PORTSDIR}/audio/openal
XCONFIGURE_ARGS+=	--enable-sound
XCPPFLAGS+=		${PTHREAD_CFLAGS}
XLDFLAGS+=		${PTHREAD_LIBS}
XPLIST_SUB+=		WITH_SOUND=""
X.else
XPLIST_SUB+=		WITH_SOUND="@comment "
X.endif
X
Xpre-patch:
X	@${REINPLACE_CMD} -e 's,#include "SDL/,#include "SDL11/,g' \
X		${WRKSRC}/configure
X
X.include <bsd.port.post.mk>
END-of-xpilot-ng-client/Makefile
echo x - xpilot-ng-client/distinfo
sed 's/^X//' >xpilot-ng-client/distinfo << 'END-of-xpilot-ng-client/distinfo'
XMD5 (xpilot-ng-4.6.5.tar.gz) = 0d1a0a3b4d757c6bc67c1fe3545a5b41
XSIZE (xpilot-ng-4.6.5.tar.gz) = 2108437
END-of-xpilot-ng-client/distinfo
echo x - xpilot-ng-client/pkg-descr
sed 's/^X//' >xpilot-ng-client/pkg-descr << 'END-of-xpilot-ng-client/pkg-descr'
XXPilot is a multi-player tactical manouvring game for X and Unix workstations.
XPlayers have a fighter which they move along in an artificial world
Xand shoot each other using various kinds of weapons like bullets, mines,
Xsmart missiles, heat seekers and so on.  It is a fast paced game with
Xa lot of tactics.  There are also robots flying around shooting players
Xand other robots.  Players can pickup special bonuses to improve the
Xpossibilities of their ship like more engine power or special weapons.
XThe aim of the game is to score points and to have a lot of fun.
X
XSee http://xpilot.sourceforge.net/about.html for differences between
Xstandard XPilot and this version.
X
XThis port contains the client part.
X
XWWW: http://xpilot.sourceforge.net/
X
X- Jean-Yves Lefort
Xjylefort@brutele.be
END-of-xpilot-ng-client/pkg-descr
echo x - xpilot-ng-client/pkg-plist
sed 's/^X//' >xpilot-ng-client/pkg-plist << 'END-of-xpilot-ng-client/pkg-plist'
Xbin/xpilot-ng-replay
X%%WITH_SDL%%bin/xpilot-ng-sdl
Xbin/xpilot-ng-x11
Xshare/xpilot-ng/fonts/ConsoleFont.bmp
Xshare/xpilot-ng/fonts/FreeSansBoldOblique.ttf
Xshare/xpilot-ng/fonts/VeraMoBd.ttf
X%%WITH_SOUND%%share/xpilot-ng/sound/Drop01.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/MusicaDefault.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/RobotzDefault.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/RobotzQuestion.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/UtopiaClose.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/bfire.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/bloop.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/buzzer.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/confirm.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/corkpop.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/done.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/doorchimes.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/explo2.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/failure.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/finished.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/flare.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/gundead.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/launch1.18.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/lboom.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/magic.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/popclick.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/sboom.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/sbounce.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/sounds.txt
X%%WITH_SOUND%%share/xpilot-ng/sound/sstart.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/success.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/waiting.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/zap.wav
Xshare/xpilot-ng/textures/acwise_grav.ppm
Xshare/xpilot-ng/textures/allitems.ppm
Xshare/xpilot-ng/textures/asteroid.ppm
Xshare/xpilot-ng/textures/asteroidconcentrator.ppm
Xshare/xpilot-ng/textures/ball.ppm
Xshare/xpilot-ng/textures/ball_gray.ppm
Xshare/xpilot-ng/textures/ball_gray16.ppm
Xshare/xpilot-ng/textures/base_down.ppm
Xshare/xpilot-ng/textures/base_left.ppm
Xshare/xpilot-ng/textures/base_right.ppm
Xshare/xpilot-ng/textures/base_up.ppm
Xshare/xpilot-ng/textures/bullet.ppm
Xshare/xpilot-ng/textures/bullet2.ppm
Xshare/xpilot-ng/textures/bullet_blue.ppm
Xshare/xpilot-ng/textures/bullet_green.ppm
Xshare/xpilot-ng/textures/cannon_down.ppm
Xshare/xpilot-ng/textures/cannon_left.ppm
Xshare/xpilot-ng/textures/cannon_right.ppm
Xshare/xpilot-ng/textures/cannon_up.ppm
Xshare/xpilot-ng/textures/checkpoint.ppm
Xshare/xpilot-ng/textures/clouds.ppm
Xshare/xpilot-ng/textures/concentrator.ppm
Xshare/xpilot-ng/textures/cwise_grav.ppm
Xshare/xpilot-ng/textures/fuel2.ppm
Xshare/xpilot-ng/textures/fuelcell.ppm
Xshare/xpilot-ng/textures/holder1.ppm
Xshare/xpilot-ng/textures/holder2.ppm
Xshare/xpilot-ng/textures/logo.ppm
Xshare/xpilot-ng/textures/metabtndown.png
Xshare/xpilot-ng/textures/metabtnup.png
Xshare/xpilot-ng/textures/metalite.ppm
Xshare/xpilot-ng/textures/meter.ppm
Xshare/xpilot-ng/textures/mine_other.ppm
Xshare/xpilot-ng/textures/mine_team.ppm
Xshare/xpilot-ng/textures/minus.ppm
Xshare/xpilot-ng/textures/missile.ppm
Xshare/xpilot-ng/textures/moon.ppm
Xshare/xpilot-ng/textures/paused.ppm
Xshare/xpilot-ng/textures/plus.ppm
Xshare/xpilot-ng/textures/radar.ppm
Xshare/xpilot-ng/textures/radar2.ppm
Xshare/xpilot-ng/textures/radar3.ppm
Xshare/xpilot-ng/textures/refuel.ppm
Xshare/xpilot-ng/textures/rock4.ppm
Xshare/xpilot-ng/textures/sdlmetabg.png
Xshare/xpilot-ng/textures/shield.ppm
Xshare/xpilot-ng/textures/ship.ppm
Xshare/xpilot-ng/textures/ship_blue.ppm
Xshare/xpilot-ng/textures/ship_red.ppm
Xshare/xpilot-ng/textures/ship_red2.ppm
Xshare/xpilot-ng/textures/ship_red3.ppm
Xshare/xpilot-ng/textures/sparks.ppm
Xshare/xpilot-ng/textures/volcanic.ppm
Xshare/xpilot-ng/textures/wall_bottom.ppm
Xshare/xpilot-ng/textures/wall_dl.ppm
Xshare/xpilot-ng/textures/wall_dr.ppm
Xshare/xpilot-ng/textures/wall_fi.ppm
Xshare/xpilot-ng/textures/wall_left.ppm
Xshare/xpilot-ng/textures/wall_right.ppm
Xshare/xpilot-ng/textures/wall_top.ppm
Xshare/xpilot-ng/textures/wall_ul.ppm
Xshare/xpilot-ng/textures/wall_ull.ppm
Xshare/xpilot-ng/textures/wall_ur.ppm
Xshare/xpilot-ng/textures/wall_url.ppm
Xshare/xpilot-ng/textures/wormhole.ppm
X@dirrm share/xpilot-ng/fonts
X%%WITH_SOUND%%@dirrm share/xpilot-ng/sound
X@dirrm share/xpilot-ng/textures
X@dirrm share/xpilot-ng
END-of-xpilot-ng-client/pkg-plist
echo c - xpilot-ng-client/files
mkdir -p xpilot-ng-client/files > /dev/null 2>&1
echo x - xpilot-ng-client/files/patch-doc::man::Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-doc::man::Makefile.in << 'END-of-xpilot-ng-client/files/patch-doc::man::Makefile.in'
X--- doc/man/Makefile.in.orig	Mon May 17 17:05:34 2004
X+++ doc/man/Makefile.in	Mon May 17 17:05:44 2004
X@@ -160,7 +160,6 @@
X dist_man6_MANS = \
X 	xpilot-ng-sdl.man \
X 	xpilot-ng-x11.man \
X-	xpilot-ng-server.man \
X 	xpilot-ng-replay.man
X 
X all: all-am
END-of-xpilot-ng-client/files/patch-doc::man::Makefile.in
echo x - xpilot-ng-client/files/patch-lib::Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-lib::Makefile.in << 'END-of-xpilot-ng-client/files/patch-lib::Makefile.in'
X--- lib/Makefile.in.orig	Tue May 25 22:27:58 2004
X+++ lib/Makefile.in	Tue May 25 22:29:08 2004
X@@ -170,8 +170,8 @@
X target_vendor = @target_vendor@
X @COND_SOUND_FALSE@MAYBE_SOUND = 
X @COND_SOUND_TRUE@MAYBE_SOUND = sound
X-SUBDIRS = fonts maps textures $(MAYBE_SOUND)
X-pkgdata_DATA = defaults.txt password.txt robots.txt
X+SUBDIRS = fonts textures $(MAYBE_SOUND)
X+pkgdata_DATA =
X EXTRA_DIST = $(pkgdata_DATA)
X all: all-recursive
X 
END-of-xpilot-ng-client/files/patch-lib::Makefile.in
echo x - xpilot-ng-client/files/patch-src::Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-src::Makefile.in << 'END-of-xpilot-ng-client/files/patch-src::Makefile.in'
X--- src/Makefile.in.orig	Mon May 17 17:07:02 2004
X+++ src/Makefile.in	Mon May 17 17:07:10 2004
X@@ -161,7 +161,7 @@
X target_cpu = @target_cpu@
X target_os = @target_os@
X target_vendor = @target_vendor@
X-SUBDIRS = common client server replay
X+SUBDIRS = common client replay
X all: all-recursive
X 
X .SUFFIXES:
END-of-xpilot-ng-client/files/patch-src::Makefile.in
echo x - xpilot-ng-client/files/patch-Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-Makefile.in << 'END-of-xpilot-ng-client/files/patch-Makefile.in'
X--- Makefile.in.orig	Mon May 17 17:11:23 2004
X+++ Makefile.in	Mon May 17 17:11:32 2004
X@@ -183,7 +183,7 @@
X target_os = @target_os@
X target_vendor = @target_vendor@
X SUBDIRS = src lib doc
X-dist_pkgdata_DATA = mapconvert.py
X+dist_pkgdata_DATA =
X EXTRA_DIST = XPilot.dsw
X all: config.h
X 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
END-of-xpilot-ng-client/files/patch-Makefile.in
exit
Comment 2 Volker Stolz freebsd_committer 2004-07-24 23:57:28 UTC
State Changed
From-To: open->feedback

Shouldn't this better be USE_GCC=3.3? 


Comment 3 Volker Stolz freebsd_committer 2004-07-24 23:57:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'll handle this
Comment 4 Jean-Yves Lefort 2005-01-18 21:02:17 UTC
Update to 4.6.6:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xpilot-ng-client
#	xpilot-ng-client/Makefile
#	xpilot-ng-client/distinfo
#	xpilot-ng-client/pkg-descr
#	xpilot-ng-client/pkg-plist
#	xpilot-ng-client/files
#	xpilot-ng-client/files/patch-doc::man::Makefile.in
#	xpilot-ng-client/files/patch-lib::Makefile.in
#	xpilot-ng-client/files/patch-src::Makefile.in
#	xpilot-ng-client/files/patch-Makefile.in
#	xpilot-ng-server
#	xpilot-ng-server/Makefile
#	xpilot-ng-server/distinfo
#	xpilot-ng-server/pkg-descr
#	xpilot-ng-server/pkg-plist
#	xpilot-ng-server/files
#	xpilot-ng-server/files/patch-configure
#	xpilot-ng-server/files/patch-src::Makefile.in
#	xpilot-ng-server/files/patch-lib::Makefile.in
#	xpilot-ng-server/files/patch-doc::man::Makefile.in
#
echo c - xpilot-ng-client
mkdir -p xpilot-ng-client > /dev/null 2>&1
echo x - xpilot-ng-client/Makefile
sed 's/^X//' >xpilot-ng-client/Makefile << 'END-of-xpilot-ng-client/Makefile'
X# New ports collection makefile for:	xpilot-ng-client
X# Date created:			17 May 2004
X# Whom:				Jean-Yves Lefort <jylefort@brutele.be>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		xpilot-ng-client
XPORTVERSION=		4.6.6
XCATEGORIES=		games
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	xpilot
XDISTNAME=		xpilot-ng-${PORTVERSION}
X
XMAINTAINER=		jylefort@brutele.be
XCOMMENT=		An enhanced version of XPilot (client program)
X
XLIB_DEPENDS=		expat:${PORTSDIR}/textproc/expat2
X
XUSE_X_PREFIX=		yes
XGNU_CONFIGURE=		yes
XUSE_REINPLACE=		yes
X
XMAN6=			xpilot-ng-replay.6 \
X			xpilot-ng-sdl.6 \
X			xpilot-ng-x11.6
X
XCPPFLAGS=		-I${LOCALBASE}/include -I${X11BASE}/include
XLDFLAGS=		-L${LOCALBASE}/lib -L${X11BASE}/lib
X
XCONFIGURE_ENV=		CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
XCONFIGURE_ARGS=		--program-prefix=""
X
XOPTIONS=		SDL "SDL/OpenGL client" on \
X			SOUND "Sound" off
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_SDL)
XUSE_SDL=		image sdl ttf
XCONFIGURE_ARGS+=	--enable-sdl-client
XPLIST_SUB+=		WITH_SDL=""
XUSE_GCC=		3.4
X.else
XPLIST_SUB+=		WITH_SDL="@comment "
X.endif
X
X.if defined(WITH_SOUND)
XLIB_DEPENDS+=		openal:${PORTSDIR}/audio/openal
XCONFIGURE_ARGS+=	--enable-sound
XCPPFLAGS+=		${PTHREAD_CFLAGS}
XLDFLAGS+=		${PTHREAD_LIBS}
XPLIST_SUB+=		WITH_SOUND=""
X.else
XPLIST_SUB+=		WITH_SOUND="@comment "
X.endif
X
Xpre-patch:
X	@${REINPLACE_CMD} -e 's,#include "SDL/,#include "SDL11/,g' \
X		${WRKSRC}/configure
X
X.include <bsd.port.post.mk>
END-of-xpilot-ng-client/Makefile
echo x - xpilot-ng-client/distinfo
sed 's/^X//' >xpilot-ng-client/distinfo << 'END-of-xpilot-ng-client/distinfo'
XMD5 (xpilot-ng-4.6.6.tar.gz) = 785278551aa85356b44f907be1052bc3
XSIZE (xpilot-ng-4.6.6.tar.gz) = 2231395
END-of-xpilot-ng-client/distinfo
echo x - xpilot-ng-client/pkg-descr
sed 's/^X//' >xpilot-ng-client/pkg-descr << 'END-of-xpilot-ng-client/pkg-descr'
XXPilot is a multi-player tactical manouvring game for X and Unix workstations.
XPlayers have a fighter which they move along in an artificial world
Xand shoot each other using various kinds of weapons like bullets, mines,
Xsmart missiles, heat seekers and so on.  It is a fast paced game with
Xa lot of tactics.  There are also robots flying around shooting players
Xand other robots.  Players can pickup special bonuses to improve the
Xpossibilities of their ship like more engine power or special weapons.
XThe aim of the game is to score points and to have a lot of fun.
X
XSee http://xpilot.sourceforge.net/about.html for differences between
Xstandard XPilot and this version.
X
XThis port contains the client program.
X
XWWW: http://xpilot.sourceforge.net/
X
X- Jean-Yves Lefort
Xjylefort@brutele.be
END-of-xpilot-ng-client/pkg-descr
echo x - xpilot-ng-client/pkg-plist
sed 's/^X//' >xpilot-ng-client/pkg-plist << 'END-of-xpilot-ng-client/pkg-plist'
Xbin/xpilot-ng-replay
X%%WITH_SDL%%bin/xpilot-ng-sdl
Xbin/xpilot-ng-x11
Xshare/xpilot-ng/fonts/ConsoleFont.bmp
Xshare/xpilot-ng/fonts/FreeSansBoldOblique.ttf
Xshare/xpilot-ng/fonts/VeraMoBd.ttf
Xshare/xpilot-ng/shipshapes.txt
X%%WITH_SOUND%%share/xpilot-ng/sound/Drop01.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/MusicaDefault.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/RobotzDefault.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/RobotzQuestion.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/UtopiaClose.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/bfire.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/bloop.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/buzzer.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/confirm.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/corkpop.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/done.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/doorchimes.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/explo2.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/failure.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/finished.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/flare.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/gundead.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/launch1.18.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/lboom.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/magic.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/popclick.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/sboom.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/sbounce.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/sounds.txt
X%%WITH_SOUND%%share/xpilot-ng/sound/sstart.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/success.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/thrust.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/waiting.wav
X%%WITH_SOUND%%share/xpilot-ng/sound/zap.wav
Xshare/xpilot-ng/textures/acwise_grav.ppm
Xshare/xpilot-ng/textures/allitems.ppm
Xshare/xpilot-ng/textures/asteroid.ppm
Xshare/xpilot-ng/textures/asteroidconcentrator.ppm
Xshare/xpilot-ng/textures/ball.ppm
Xshare/xpilot-ng/textures/ball_gray.ppm
Xshare/xpilot-ng/textures/ball_gray16.ppm
Xshare/xpilot-ng/textures/base_down.ppm
Xshare/xpilot-ng/textures/base_left.ppm
Xshare/xpilot-ng/textures/base_right.ppm
Xshare/xpilot-ng/textures/base_up.ppm
Xshare/xpilot-ng/textures/bullet.ppm
Xshare/xpilot-ng/textures/bullet2.ppm
Xshare/xpilot-ng/textures/bullet_blue.ppm
Xshare/xpilot-ng/textures/bullet_green.ppm
Xshare/xpilot-ng/textures/cannon_down.ppm
Xshare/xpilot-ng/textures/cannon_left.ppm
Xshare/xpilot-ng/textures/cannon_right.ppm
Xshare/xpilot-ng/textures/cannon_up.ppm
Xshare/xpilot-ng/textures/checkpoint.ppm
Xshare/xpilot-ng/textures/clouds.ppm
Xshare/xpilot-ng/textures/concentrator.ppm
Xshare/xpilot-ng/textures/cwise_grav.ppm
Xshare/xpilot-ng/textures/fuel2.ppm
Xshare/xpilot-ng/textures/fuelcell.ppm
Xshare/xpilot-ng/textures/holder1.ppm
Xshare/xpilot-ng/textures/holder2.ppm
Xshare/xpilot-ng/textures/logo.ppm
Xshare/xpilot-ng/textures/metabtndown.png
Xshare/xpilot-ng/textures/metabtnup.png
Xshare/xpilot-ng/textures/metalite.ppm
Xshare/xpilot-ng/textures/meter.ppm
Xshare/xpilot-ng/textures/mine_other.ppm
Xshare/xpilot-ng/textures/mine_team.ppm
Xshare/xpilot-ng/textures/minus.ppm
Xshare/xpilot-ng/textures/missile.ppm
Xshare/xpilot-ng/textures/moon.ppm
Xshare/xpilot-ng/textures/paused.ppm
Xshare/xpilot-ng/textures/plus.ppm
Xshare/xpilot-ng/textures/radar.ppm
Xshare/xpilot-ng/textures/radar2.ppm
Xshare/xpilot-ng/textures/radar3.ppm
Xshare/xpilot-ng/textures/refuel.ppm
Xshare/xpilot-ng/textures/rock4.ppm
Xshare/xpilot-ng/textures/sdlmetabg.png
Xshare/xpilot-ng/textures/shield.ppm
Xshare/xpilot-ng/textures/ship.ppm
Xshare/xpilot-ng/textures/ship_blue.ppm
Xshare/xpilot-ng/textures/ship_red.ppm
Xshare/xpilot-ng/textures/ship_red2.ppm
Xshare/xpilot-ng/textures/ship_red3.ppm
Xshare/xpilot-ng/textures/sparks.ppm
Xshare/xpilot-ng/textures/volcanic.ppm
Xshare/xpilot-ng/textures/wall_bottom.ppm
Xshare/xpilot-ng/textures/wall_dl.ppm
Xshare/xpilot-ng/textures/wall_dr.ppm
Xshare/xpilot-ng/textures/wall_fi.ppm
Xshare/xpilot-ng/textures/wall_left.ppm
Xshare/xpilot-ng/textures/wall_right.ppm
Xshare/xpilot-ng/textures/wall_top.ppm
Xshare/xpilot-ng/textures/wall_ul.ppm
Xshare/xpilot-ng/textures/wall_ull.ppm
Xshare/xpilot-ng/textures/wall_ur.ppm
Xshare/xpilot-ng/textures/wall_url.ppm
Xshare/xpilot-ng/textures/wormhole.ppm
X@dirrm share/xpilot-ng/fonts
X%%WITH_SOUND%%@dirrm share/xpilot-ng/sound
X@dirrm share/xpilot-ng/textures
X@dirrm share/xpilot-ng
END-of-xpilot-ng-client/pkg-plist
echo c - xpilot-ng-client/files
mkdir -p xpilot-ng-client/files > /dev/null 2>&1
echo x - xpilot-ng-client/files/patch-doc::man::Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-doc::man::Makefile.in << 'END-of-xpilot-ng-client/files/patch-doc::man::Makefile.in'
X--- doc/man/Makefile.in.orig	Mon May 17 17:05:34 2004
X+++ doc/man/Makefile.in	Mon May 17 17:05:44 2004
X@@ -160,7 +160,6 @@
X dist_man6_MANS = \
X 	xpilot-ng-sdl.man \
X 	xpilot-ng-x11.man \
X-	xpilot-ng-server.man \
X 	xpilot-ng-replay.man
X 
X all: all-am
END-of-xpilot-ng-client/files/patch-doc::man::Makefile.in
echo x - xpilot-ng-client/files/patch-lib::Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-lib::Makefile.in << 'END-of-xpilot-ng-client/files/patch-lib::Makefile.in'
X--- lib/Makefile.in.orig	Mon Sep 13 00:35:26 2004
X+++ lib/Makefile.in	Tue Jan 18 21:45:24 2005
X@@ -170,8 +170,8 @@
X target_vendor = @target_vendor@
X @COND_SOUND_FALSE@MAYBE_SOUND = 
X @COND_SOUND_TRUE@MAYBE_SOUND = sound
X-SUBDIRS = fonts maps textures $(MAYBE_SOUND)
X-pkgdata_DATA = defaults.txt password.txt robots.txt shipshapes.txt
X+SUBDIRS = fonts textures $(MAYBE_SOUND)
X+pkgdata_DATA = shipshapes.txt
X EXTRA_DIST = $(pkgdata_DATA)
X all: all-recursive
X 
END-of-xpilot-ng-client/files/patch-lib::Makefile.in
echo x - xpilot-ng-client/files/patch-src::Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-src::Makefile.in << 'END-of-xpilot-ng-client/files/patch-src::Makefile.in'
X--- src/Makefile.in.orig	Mon May 17 17:07:02 2004
X+++ src/Makefile.in	Mon May 17 17:07:10 2004
X@@ -161,7 +161,7 @@
X target_cpu = @target_cpu@
X target_os = @target_os@
X target_vendor = @target_vendor@
X-SUBDIRS = common client server replay
X+SUBDIRS = common client replay
X all: all-recursive
X 
X .SUFFIXES:
END-of-xpilot-ng-client/files/patch-src::Makefile.in
echo x - xpilot-ng-client/files/patch-Makefile.in
sed 's/^X//' >xpilot-ng-client/files/patch-Makefile.in << 'END-of-xpilot-ng-client/files/patch-Makefile.in'
X--- Makefile.in.orig	Mon May 17 17:11:23 2004
X+++ Makefile.in	Mon May 17 17:11:32 2004
X@@ -183,7 +183,7 @@
X target_os = @target_os@
X target_vendor = @target_vendor@
X SUBDIRS = src lib doc
X-dist_pkgdata_DATA = mapconvert.py
X+dist_pkgdata_DATA =
X EXTRA_DIST = XPilot.dsw
X all: config.h
X 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
END-of-xpilot-ng-client/files/patch-Makefile.in
echo c - xpilot-ng-server
mkdir -p xpilot-ng-server > /dev/null 2>&1
echo x - xpilot-ng-server/Makefile
sed 's/^X//' >xpilot-ng-server/Makefile << 'END-of-xpilot-ng-server/Makefile'
X# New ports collection makefile for:	xpilot-ng-server
X# Date created:			17 May 2004
X# Whom:				Jean-Yves Lefort <jylefort@brutele.be>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		xpilot-ng-server
XPORTVERSION=		4.6.6
XCATEGORIES=		games
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	xpilot
XDISTNAME=		xpilot-ng-${PORTVERSION}
X
XMAINTAINER=		jylefort@brutele.be
XCOMMENT=		An enhanced version of XPilot (server program)
X
XLIB_DEPENDS=		expat:${PORTSDIR}/textproc/expat2
X
XGNU_CONFIGURE=		yes
XMAN6=			xpilot-ng-server.6
X
XCONFIGURE_ENV=		CPPFLAGS="-I${LOCALBASE}/include" \
X			LDFLAGS="-L${LOCALBASE}/lib"
XCONFIGURE_ARGS=		--program-prefix="" --without-x
X
X.include <bsd.port.mk>
END-of-xpilot-ng-server/Makefile
echo x - xpilot-ng-server/distinfo
sed 's/^X//' >xpilot-ng-server/distinfo << 'END-of-xpilot-ng-server/distinfo'
XMD5 (xpilot-ng-4.6.6.tar.gz) = 785278551aa85356b44f907be1052bc3
XSIZE (xpilot-ng-4.6.6.tar.gz) = 2231395
END-of-xpilot-ng-server/distinfo
echo x - xpilot-ng-server/pkg-descr
sed 's/^X//' >xpilot-ng-server/pkg-descr << 'END-of-xpilot-ng-server/pkg-descr'
XXPilot is a multi-player tactical manouvring game for X and Unix workstations.
XPlayers have a fighter which they move along in an artificial world
Xand shoot each other using various kinds of weapons like bullets, mines,
Xsmart missiles, heat seekers and so on.  It is a fast paced game with
Xa lot of tactics.  There are also robots flying around shooting players
Xand other robots.  Players can pickup special bonuses to improve the
Xpossibilities of their ship like more engine power or special weapons.
XThe aim of the game is to score points and to have a lot of fun.
X
XSee http://xpilot.sourceforge.net/about.html for differences between
Xstandard XPilot and this version.
X
XThis port contains the server program.
X
XWWW: http://xpilot.sourceforge.net/
X
X- Jean-Yves Lefort
Xjylefort@brutele.be
END-of-xpilot-ng-server/pkg-descr
echo x - xpilot-ng-server/pkg-plist
sed 's/^X//' >xpilot-ng-server/pkg-plist << 'END-of-xpilot-ng-server/pkg-plist'
Xbin/xpilot-ng-server
Xshare/xpilot-ng/defaults.txt
Xshare/xpilot-ng/mapconvert.py
Xshare/xpilot-ng/maps/dragon-1.0.xp2
Xshare/xpilot-ng/maps/polybloods.xp2
Xshare/xpilot-ng/maps/polybloods7.xp2
Xshare/xpilot-ng/maps/sadistic_bastard_v2.xp2
Xshare/xpilot-ng/maps/teamcup.xp
Xshare/xpilot-ng/password.txt
Xshare/xpilot-ng/robots.txt
X@dirrm share/xpilot-ng/maps
X@dirrm share/xpilot-ng
END-of-xpilot-ng-server/pkg-plist
echo c - xpilot-ng-server/files
mkdir -p xpilot-ng-server/files > /dev/null 2>&1
echo x - xpilot-ng-server/files/patch-configure
sed 's/^X//' >xpilot-ng-server/files/patch-configure << 'END-of-xpilot-ng-server/files/patch-configure'
X--- configure.orig	Mon May 17 16:14:45 2004
X+++ configure	Mon May 17 16:19:50 2004
X@@ -5337,11 +5337,6 @@
X 
X fi
X 
X-if test x$no_x == xyes; then
X-	{ { echo "$as_me:$LINENO: error: *** Couldn't find X headers or libraries!" >&5
X-echo "$as_me: error: *** Couldn't find X headers or libraries!" >&2;}
X-   { (exit 1); exit 1; }; }
X-fi
X 
X if test x$enable_dbe = xyes || test x$enable_mbx = xyes; then
X 	X_EXTENSIONS_LIB="-lXext"
END-of-xpilot-ng-server/files/patch-configure
echo x - xpilot-ng-server/files/patch-src::Makefile.in
sed 's/^X//' >xpilot-ng-server/files/patch-src::Makefile.in << 'END-of-xpilot-ng-server/files/patch-src::Makefile.in'
X--- src/Makefile.in.orig	Mon May 17 16:20:00 2004
X+++ src/Makefile.in	Mon May 17 16:20:13 2004
X@@ -161,7 +161,7 @@
X target_cpu = @target_cpu@
X target_os = @target_os@
X target_vendor = @target_vendor@
X-SUBDIRS = common client server replay
X+SUBDIRS = common server
X all: all-recursive
X 
X .SUFFIXES:
END-of-xpilot-ng-server/files/patch-src::Makefile.in
echo x - xpilot-ng-server/files/patch-lib::Makefile.in
sed 's/^X//' >xpilot-ng-server/files/patch-lib::Makefile.in << 'END-of-xpilot-ng-server/files/patch-lib::Makefile.in'
X--- lib/Makefile.in.orig	Tue Jan 18 21:38:32 2005
X+++ lib/Makefile.in	Tue Jan 18 21:42:38 2005
X@@ -170,8 +170,8 @@
X target_vendor = @target_vendor@
X @COND_SOUND_FALSE@MAYBE_SOUND = 
X @COND_SOUND_TRUE@MAYBE_SOUND = sound
X-SUBDIRS = fonts maps textures $(MAYBE_SOUND)
X-pkgdata_DATA = defaults.txt password.txt robots.txt shipshapes.txt
X+SUBDIRS = maps
X+pkgdata_DATA = defaults.txt password.txt robots.txt
X EXTRA_DIST = $(pkgdata_DATA)
X all: all-recursive
X 
END-of-xpilot-ng-server/files/patch-lib::Makefile.in
echo x - xpilot-ng-server/files/patch-doc::man::Makefile.in
sed 's/^X//' >xpilot-ng-server/files/patch-doc::man::Makefile.in << 'END-of-xpilot-ng-server/files/patch-doc::man::Makefile.in'
X--- doc/man/Makefile.in.orig	Mon May 17 16:32:11 2004
X+++ doc/man/Makefile.in	Mon May 17 16:32:44 2004
X@@ -158,10 +158,7 @@
X target_os = @target_os@
X target_vendor = @target_vendor@
X dist_man6_MANS = \
X-	xpilot-ng-sdl.man \
X-	xpilot-ng-x11.man \
X-	xpilot-ng-server.man \
X-	xpilot-ng-replay.man
X+	xpilot-ng-server.man
X 
X all: all-am
X 
END-of-xpilot-ng-server/files/patch-doc::man::Makefile.in
exit
Comment 5 Jean-Yves Lefort 2005-04-08 23:25:56 UTC
Update to 4.7.0:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xpilot-ng-server
#	xpilot-ng-server/Makefile
#	xpilot-ng-server/distinfo
#	xpilot-ng-server/pkg-descr
#	xpilot-ng-server/pkg-plist
#	xpilot-ng-client
#	xpilot-ng-client/Makefile
#	xpilot-ng-client/distinfo
#	xpilot-ng-client/pkg-descr
#	xpilot-ng-client/pkg-plist
#
echo c - xpilot-ng-server
mkdir -p xpilot-ng-server > /dev/null 2>&1
echo x - xpilot-ng-server/Makefile
sed 's/^X//' >xpilot-ng-server/Makefile << 'END-of-xpilot-ng-server/Makefile'
X# New ports collection makefile for:	xpilot-ng-server
X# Date created:			17 May 2004
X# Whom:				Jean-Yves Lefort <jylefort@brutele.be>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		xpilot-ng-server
XPORTVERSION=		4.7.0
XCATEGORIES=		games
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	xpilot
XDISTNAME=		xpilot-ng-${PORTVERSION}
X
XMAINTAINER=		jylefort@brutele.be
XCOMMENT=		An enhanced version of XPilot (server program)
X
XLIB_DEPENDS=		expat:${PORTSDIR}/textproc/expat2
X
XGNU_CONFIGURE=		yes
XUSE_REINPLACE=		yes
X
XMAN6=			xpilot-ng-server.6
X
XCONFIGURE_ENV=		CPPFLAGS="-I${LOCALBASE}/include" \
X			LDFLAGS="-L${LOCALBASE}/lib"
XCONFIGURE_ARGS=		--program-prefix="" \
X			--disable-replay \
X			--disable-xp-mapedit \
X			--disable-x11-client \
X			--disable-sdl-client
X
Xpost-patch:
X	@${REINPLACE_CMD} -e \
X		's|xpilot-ng-sdl\.man||; \
X		 s|xpilot-ng-x11\.man||; \
X		 s|xpilot-ng-replay\.man||; \
X		 s|xpilot-ng-xp-mapedit\.man||' ${WRKSRC}/doc/man/Makefile.in
X	@${REINPLACE_CMD} -e \
X		's| fonts||; s| textures||; s| shipshapes\.txt||' \
X		${WRKSRC}/lib/Makefile.in
X
X.include <bsd.port.mk>
END-of-xpilot-ng-server/Makefile
echo x - xpilot-ng-server/distinfo
sed 's/^X//' >xpilot-ng-server/distinfo << 'END-of-xpilot-ng-server/distinfo'
XMD5 (xpilot-ng-4.7.0.tar.gz) = fb420629b17e16ad1a80d7114746d0ed
XSIZE (xpilot-ng-4.7.0.tar.gz) = 2800080
END-of-xpilot-ng-server/distinfo
echo x - xpilot-ng-server/pkg-descr
sed 's/^X//' >xpilot-ng-server/pkg-descr << 'END-of-xpilot-ng-server/pkg-descr'
XXPilot is a multi-player tactical manouvring game for X and Unix workstations.
XPlayers have a fighter which they move along in an artificial world
Xand shoot each other using various kinds of weapons like bullets, mines,
Xsmart missiles, heat seekers and so on.  It is a fast paced game with
Xa lot of tactics.  There are also robots flying around shooting players
Xand other robots.  Players can pickup special bonuses to improve the
Xpossibilities of their ship like more engine power or special weapons.
XThe aim of the game is to score points and to have a lot of fun.
X
XSee http://xpilot.sourceforge.net/about.html for differences between
Xstandard XPilot and this version.
X
XThis port contains the server program.
X
XWWW: http://xpilot.sourceforge.net/
X
X- Jean-Yves Lefort
Xjylefort@brutele.be
END-of-xpilot-ng-server/pkg-descr
echo x - xpilot-ng-server/pkg-plist
sed 's/^X//' >xpilot-ng-server/pkg-plist << 'END-of-xpilot-ng-server/pkg-plist'
Xbin/xpilot-ng-server
Xshare/xpilot-ng/defaults.txt
Xshare/xpilot-ng/mapconvert.py
Xshare/xpilot-ng/maps/blood-music.xp2
Xshare/xpilot-ng/maps/circle2.xp2
Xshare/xpilot-ng/maps/dodgers-legacy.xp2
Xshare/xpilot-ng/maps/dodgers-robots.xp2
Xshare/xpilot-ng/maps/dragon-1.0.xp2
Xshare/xpilot-ng/maps/ndh.xp2
Xshare/xpilot-ng/maps/ndh.xpd
Xshare/xpilot-ng/maps/polybloods.xp2
Xshare/xpilot-ng/maps/polybloods7.xp2
Xshare/xpilot-ng/maps/sadistic_bastard_v2.xp2
Xshare/xpilot-ng/maps/spaceball-0.1.xp2
Xshare/xpilot-ng/maps/spaceball-0.2.xp2
Xshare/xpilot-ng/maps/teamcup.xp
Xshare/xpilot-ng/maps/tourmination.xp2
Xshare/xpilot-ng/password.txt
Xshare/xpilot-ng/robots.txt
X@dirrm share/xpilot-ng/maps
X@dirrm share/xpilot-ng
END-of-xpilot-ng-server/pkg-plist
echo c - xpilot-ng-client
mkdir -p xpilot-ng-client > /dev/null 2>&1
echo x - xpilot-ng-client/Makefile
sed 's/^X//' >xpilot-ng-client/Makefile << 'END-of-xpilot-ng-client/Makefile'
X# New ports collection makefile for:	xpilot-ng-client
X# Date created:			17 May 2004
X# Whom:				Jean-Yves Lefort <jylefort@brutele.be>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		xpilot-ng-client
XPORTVERSION=		4.7.0
XCATEGORIES=		games
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	xpilot
XDISTNAME=		xpilot-ng-${PORTVERSION}
X
XMAINTAINER=		jylefort@brutele.be
XCOMMENT=		An enhanced version of XPilot (client program)
X
XLIB_DEPENDS=		expat:${PORTSDIR}/textproc/expat2
X
XUSE_X_PREFIX=		yes
XGNU_CONFIGURE=		yes
XUSE_REINPLACE=		yes
X
XMAN6=			xpilot-ng-replay.6 \
X			xpilot-ng-x11.6 \
X			xpilot-ng-xp-mapedit.6
X
XCPPFLAGS=		-I${LOCALBASE}/include -I${X11BASE}/include
XLDFLAGS=		-L${LOCALBASE}/lib -L${X11BASE}/lib
X
XCONFIGURE_ENV=		CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
XCONFIGURE_ARGS=		--program-prefix=""
X
XOPTIONS=		SDL "SDL/OpenGL client" on \
X			SOUND "Sound" off
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_SDL)
XUSE_SDL=		image sdl ttf
XUSE_GL=			yes
XPLIST_SUB+=		SDL=""
XUSE_GCC=		3.4
XMAN6+=			xpilot-ng-sdl.6
X.else
XCONFIGURE_ARGS+=	--disable-sdl-client
XPLIST_SUB+=		SDL="@comment "
X.endif
X
X.if defined(WITH_SOUND)
XLIB_DEPENDS+=		openal:${PORTSDIR}/audio/openal
XCONFIGURE_ARGS+=	--enable-sound
XCPPFLAGS+=		${PTHREAD_CFLAGS}
XLDFLAGS+=		${PTHREAD_LIBS}
XPLIST_SUB+=		SOUND=""
X.else
XPLIST_SUB+=		SOUND="@comment "
X.endif
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's,#include "SDL/,#include "SDL11/,g' \
X		${WRKSRC}/configure
X	@${REINPLACE_CMD} -e 's|mapconvert\.py||' ${WRKSRC}/Makefile.in
X	@${REINPLACE_CMD} -e 's|xpilot-ng-server\.man||' \
X		${WRKSRC}/doc/man/Makefile.in
X	@${REINPLACE_CMD} -e \
X		's| maps||; s|defaults\.txt password\.txt robots\.txt||' \
X		${WRKSRC}/lib/Makefile.in
X	@${REINPLACE_CMD} -e 's| server||' ${WRKSRC}/src/Makefile.in
X.if defined(WITHOUT_SDL)
X	@${REINPLACE_CMD} -e 's|xpilot-ng-sdl\.man||' \
X		${WRKSRC}/doc/man/Makefile.in
X.endif
X
X.include <bsd.port.post.mk>
END-of-xpilot-ng-client/Makefile
echo x - xpilot-ng-client/distinfo
sed 's/^X//' >xpilot-ng-client/distinfo << 'END-of-xpilot-ng-client/distinfo'
XMD5 (xpilot-ng-4.7.0.tar.gz) = fb420629b17e16ad1a80d7114746d0ed
XSIZE (xpilot-ng-4.7.0.tar.gz) = 2800080
END-of-xpilot-ng-client/distinfo
echo x - xpilot-ng-client/pkg-descr
sed 's/^X//' >xpilot-ng-client/pkg-descr << 'END-of-xpilot-ng-client/pkg-descr'
XXPilot is a multi-player tactical manouvring game for X and Unix workstations.
XPlayers have a fighter which they move along in an artificial world
Xand shoot each other using various kinds of weapons like bullets, mines,
Xsmart missiles, heat seekers and so on.  It is a fast paced game with
Xa lot of tactics.  There are also robots flying around shooting players
Xand other robots.  Players can pickup special bonuses to improve the
Xpossibilities of their ship like more engine power or special weapons.
XThe aim of the game is to score points and to have a lot of fun.
X
XSee http://xpilot.sourceforge.net/about.html for differences between
Xstandard XPilot and this version.
X
XThis port contains the client program.
X
XWWW: http://xpilot.sourceforge.net/
X
X- Jean-Yves Lefort
Xjylefort@brutele.be
END-of-xpilot-ng-client/pkg-descr
echo x - xpilot-ng-client/pkg-plist
sed 's/^X//' >xpilot-ng-client/pkg-plist << 'END-of-xpilot-ng-client/pkg-plist'
Xbin/xpilot-ng-replay
X%%SDL%%bin/xpilot-ng-sdl
Xbin/xpilot-ng-x11
Xbin/xpilot-ng-xp-mapedit
Xshare/xpilot-ng/fonts/ConsoleFont.bmp
Xshare/xpilot-ng/fonts/FreeSansBoldOblique.ttf
Xshare/xpilot-ng/fonts/VeraMoBd.ttf
Xshare/xpilot-ng/shipshapes.txt
X%%SOUND%%share/xpilot-ng/sound/Drop01.wav
X%%SOUND%%share/xpilot-ng/sound/MusicaDefault.wav
X%%SOUND%%share/xpilot-ng/sound/RobotzDefault.wav
X%%SOUND%%share/xpilot-ng/sound/RobotzQuestion.wav
X%%SOUND%%share/xpilot-ng/sound/UtopiaClose.wav
X%%SOUND%%share/xpilot-ng/sound/bfire.wav
X%%SOUND%%share/xpilot-ng/sound/bloop.wav
X%%SOUND%%share/xpilot-ng/sound/buzzer.wav
X%%SOUND%%share/xpilot-ng/sound/confirm.wav
X%%SOUND%%share/xpilot-ng/sound/corkpop.wav
X%%SOUND%%share/xpilot-ng/sound/done.wav
X%%SOUND%%share/xpilot-ng/sound/doorchimes.wav
X%%SOUND%%share/xpilot-ng/sound/explo2.wav
X%%SOUND%%share/xpilot-ng/sound/failure.wav
X%%SOUND%%share/xpilot-ng/sound/finished.wav
X%%SOUND%%share/xpilot-ng/sound/flare.wav
X%%SOUND%%share/xpilot-ng/sound/gundead.wav
X%%SOUND%%share/xpilot-ng/sound/launch1.18.wav
X%%SOUND%%share/xpilot-ng/sound/lboom.wav
X%%SOUND%%share/xpilot-ng/sound/magic.wav
X%%SOUND%%share/xpilot-ng/sound/popclick.wav
X%%SOUND%%share/xpilot-ng/sound/sboom.wav
X%%SOUND%%share/xpilot-ng/sound/sbounce.wav
X%%SOUND%%share/xpilot-ng/sound/sounds.txt
X%%SOUND%%share/xpilot-ng/sound/sstart.wav
X%%SOUND%%share/xpilot-ng/sound/success.wav
X%%SOUND%%share/xpilot-ng/sound/thrust.wav
X%%SOUND%%share/xpilot-ng/sound/waiting.wav
X%%SOUND%%share/xpilot-ng/sound/zap.wav
Xshare/xpilot-ng/textures/acwise_grav.ppm
Xshare/xpilot-ng/textures/allitems.ppm
Xshare/xpilot-ng/textures/asteroid.ppm
Xshare/xpilot-ng/textures/asteroidconcentrator.ppm
Xshare/xpilot-ng/textures/ball.ppm
Xshare/xpilot-ng/textures/ball_gray.ppm
Xshare/xpilot-ng/textures/ball_gray16.ppm
Xshare/xpilot-ng/textures/base_down.ppm
Xshare/xpilot-ng/textures/base_left.ppm
Xshare/xpilot-ng/textures/base_right.ppm
Xshare/xpilot-ng/textures/base_up.ppm
Xshare/xpilot-ng/textures/bullet.ppm
Xshare/xpilot-ng/textures/bullet2.ppm
Xshare/xpilot-ng/textures/bullet_blue.ppm
Xshare/xpilot-ng/textures/bullet_green.ppm
Xshare/xpilot-ng/textures/cannon_down.ppm
Xshare/xpilot-ng/textures/cannon_left.ppm
Xshare/xpilot-ng/textures/cannon_right.ppm
Xshare/xpilot-ng/textures/cannon_up.ppm
Xshare/xpilot-ng/textures/checkpoint.ppm
Xshare/xpilot-ng/textures/clouds.ppm
Xshare/xpilot-ng/textures/concentrator.ppm
Xshare/xpilot-ng/textures/cwise_grav.ppm
Xshare/xpilot-ng/textures/fuel2.ppm
Xshare/xpilot-ng/textures/fuelcell.ppm
Xshare/xpilot-ng/textures/holder1.ppm
Xshare/xpilot-ng/textures/holder2.ppm
Xshare/xpilot-ng/textures/huditems.ppm
Xshare/xpilot-ng/textures/logo.ppm
Xshare/xpilot-ng/textures/metabtndown.png
Xshare/xpilot-ng/textures/metabtnup.png
Xshare/xpilot-ng/textures/metalite.ppm
Xshare/xpilot-ng/textures/meter.ppm
Xshare/xpilot-ng/textures/mine_other.ppm
Xshare/xpilot-ng/textures/mine_team.ppm
Xshare/xpilot-ng/textures/minus.ppm
Xshare/xpilot-ng/textures/missile.ppm
Xshare/xpilot-ng/textures/moon.ppm
Xshare/xpilot-ng/textures/paused.ppm
Xshare/xpilot-ng/textures/plus.ppm
Xshare/xpilot-ng/textures/radar.ppm
Xshare/xpilot-ng/textures/radar2.ppm
Xshare/xpilot-ng/textures/radar3.ppm
Xshare/xpilot-ng/textures/refuel.ppm
Xshare/xpilot-ng/textures/rock4.ppm
Xshare/xpilot-ng/textures/sdlmetabg.png
Xshare/xpilot-ng/textures/shield.ppm
Xshare/xpilot-ng/textures/ship.ppm
Xshare/xpilot-ng/textures/ship_blue.ppm
Xshare/xpilot-ng/textures/ship_enemy.ppm
Xshare/xpilot-ng/textures/ship_friend.ppm
Xshare/xpilot-ng/textures/ship_red.ppm
Xshare/xpilot-ng/textures/ship_red2.ppm
Xshare/xpilot-ng/textures/ship_red3.ppm
Xshare/xpilot-ng/textures/sparks.ppm
Xshare/xpilot-ng/textures/target.ppm
Xshare/xpilot-ng/textures/volcanic.ppm
Xshare/xpilot-ng/textures/wall_bottom.ppm
Xshare/xpilot-ng/textures/wall_dl.ppm
Xshare/xpilot-ng/textures/wall_dr.ppm
Xshare/xpilot-ng/textures/wall_fi.ppm
Xshare/xpilot-ng/textures/wall_left.ppm
Xshare/xpilot-ng/textures/wall_right.ppm
Xshare/xpilot-ng/textures/wall_top.ppm
Xshare/xpilot-ng/textures/wall_ul.ppm
Xshare/xpilot-ng/textures/wall_ull.ppm
Xshare/xpilot-ng/textures/wall_ur.ppm
Xshare/xpilot-ng/textures/wall_url.ppm
Xshare/xpilot-ng/textures/wormhole.ppm
X@dirrm share/xpilot-ng/fonts
X%%SOUND%%@dirrm share/xpilot-ng/sound
X@dirrm share/xpilot-ng/textures
X@dirrm share/xpilot-ng
END-of-xpilot-ng-client/pkg-plist
exit
Comment 6 Jean-Yves Lefort freebsd_committer 2005-04-12 22:28:57 UTC
Responsible Changed
From-To: vs->jylefort

My own PR, I take it since I'm now a committer.
Comment 7 Jean-Yves Lefort freebsd_committer 2005-05-15 02:22:00 UTC
State Changed
From-To: feedback->closed

Updated to 4.7.1 and committed with a few modifications.